<template>
  <div id="quiz">
    <h1>Choix du personnage</h1>
    <Question v-if="!quiz.complete" :question="quiz.getQuestion()" v-on:pickResponse="nextResponse"/>
    <Form v-if="quiz.complete"  @enterName="enterName" />
  </div>
</template>

<script>
import {Quiz} from "../../game/quiz/quiz";
import Question from "./Question";
import Form from "./Form";

export default {
  name: "Quiz",
  components: {Form, Question},
  props: {
    quiz: Quiz
  },
  methods: {
    nextResponse: function (index) {
      this.quiz.nextQuestion(index);
    },
    enterName: function (name) {
      this.$emit('enterName', name);
    }
  }
}
</script>

<style scoped>

#quiz {
  display: flex;
  flex-direction: column;
  flex: 1;
  justify-content: center;
}

</style>